Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRobin Rosenberg2010-04-03 21:43:44 +0000
committerRobin Rosenberg2010-04-05 10:25:06 +0000
commitfa4c3fe461064e24bc20954a713f0c09e13d6a18 (patch)
tree827e601e9ab89cb6ba37cd5a70012c3ef2b4c33f /org.eclipse.jgit.packaging
parent2b6c555aee869b7ef01c5953a143ca18583af182 (diff)
downloadjgit-fa4c3fe461064e24bc20954a713f0c09e13d6a18.tar.gz
jgit-fa4c3fe461064e24bc20954a713f0c09e13d6a18.tar.xz
jgit-fa4c3fe461064e24bc20954a713f0c09e13d6a18.zip
JGit plugin not compatible with Eclipse 3.4
The JSch bundle in Eclipse 3.4 does not export its packages with version numbers. Use Require-Bundle on version 0.1.37 that comes with Eclipse 3.4 There is no 0.1.37 in the maven repositories so the pom still refers to 0.1.41 so the build can get the compile time dependencies right. Bug: 308031 CQ: 3904 jsch Version: 0.1.37 (using Orbit CQ2014) Change-Id: I12eba86bfbe584560c213882ebba58bf1f9fa0c1 Signed-off-by: Robin Rosenberg <robin.rosenberg@dewire.com>
Diffstat (limited to 'org.eclipse.jgit.packaging')
-rw-r--r--org.eclipse.jgit.packaging/pom.xml4
1 files changed, 2 insertions, 2 deletions
diff --git a/org.eclipse.jgit.packaging/pom.xml b/org.eclipse.jgit.packaging/pom.xml
index eea590e054..12f067d185 100644
--- a/org.eclipse.jgit.packaging/pom.xml
+++ b/org.eclipse.jgit.packaging/pom.xml
@@ -60,7 +60,7 @@
<properties>
<tycho-version>0.7.0</tycho-version>
- <eclipse-site>http://download.eclipse.org/releases/galileo</eclipse-site>
+ <eclipse-site>http://download.eclipse.org/releases/ganymede</eclipse-site>
</properties>
<modules>
@@ -70,7 +70,7 @@
<repositories>
<repository>
- <id>galileo</id>
+ <id>ganymede</id>
<layout>p2</layout>
<url>${eclipse-site}</url>
</repository>

Back to the top